Subject: bug#49202: guix import go type error (failed regex match?)

From: zimoun <[email-masked]>
Date: Mon, 28 Jun 2021 18:18:17 +0200

Hi,

On ven., 25 juin 2021 at 18:40, zimoun <[email-masked]> wrote:
> On jeu., 24 juin 2021 at 01:32, raingloom <[email-masked]> wrote:
>> When I run
>> guix import go -r github.com/golang-migrate/migrate/v4
>> it works for a looong time (something else to work on I guess. maybe
>> fetching every git repo is not the best solution.) and then gives this
>> error:
>>
>> In procedure vector-ref: Wrong type argument in position 1 (expecting
>> vector): #f
>
> Using v3 from patch#49196 [1], I get the piece below.  As mentioned by
> Sarah, the parser seems poor for some dependencies.
>
> 1: <http://issues.guix.gnu.org/issue/49196#6>

With v4 from patch#4916 [1], I get this messages and the reports seems
clear enough.  I propose to close this bug and open individual issues to
tackle each; for instance:

 - github.com/containerd/containerd
 - github.com/cockroachdb/cockroach-go
 - dmitri.shuralyov.com/gpu/mtl

WDYT?

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix import go -r github.com/golang-migrate/migrate/v4
following redirection to `https://go.mongodb.org/mongo-driver/'...
following redirection to `https://github.com/moby/moby?go-get=1'...
guix import: warning: Failed to import package "github.com/containerd/containerd".
reason: ("vector-ref" "Wrong type argument in position 1 (expecting vector): ~S" (#f) (#f)).
guix import: warning: Failed to import package "github.com/cockroachdb/cockroach-go".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v2.0.1' not found" class: 4>).
following redirection to `https://pkg.go.dev/github.com/bmizerany/assert'...
guix import: warning: Failed to import package "cloud.google.com/go/storage".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v1.15.0' not found" class: 4>).
guix import: warning: Failed to import package "cloud.google.com/go/spanner".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v1.21.0' not found" class: 4>).
guix import: warning: Failed to import package "go.opentelemetry.io/otel/metric".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v0.21.0' not found" class: 4>).
guix import: warning: Failed to import package "dmitri.shuralyov.com/gpu/mtl".
reason: ("struct-vtable" "Wrong type argument in position 1 (expecting struct): ~S" (#f) (#f)).
following redirection to `https://pkg.go.dev/github.com/hudl/fargo'...
following redirection to `https://github.com/HdrHistogram/hdrhistogram-go?go-get=1'...
guix import: warning: Failed to import package "github.com/cncf/udpa/go".
reason: "https://pkg.go.dev/github.com/cncf/udpa" could not be fetched: HTTP error 404 ("Not Found").
This package and its dependencies won't be imported.
guix import: warning: Failed to import package "github.com/cncf/xds/go".
reason: "https://pkg.go.dev/github.com/cncf/xds" could not be fetched: HTTP error 404 ("Not Found").
This package and its dependencies won't be imported.
following redirection to `https://github.com/jtolio/gls?go-get=1'...
following redirection to `https://github.com/openhistogram/circonusllhist?go-get=1'...
warning: TLS non-fatal error: Ressource temporairement indisponible. Réessayer.
warning: TLS non-fatal error: Ressource temporairement indisponible. Réessayer.
warning: TLS non-fatal error: Ressource temporairement indisponible. Réessayer.
following redirection to `https://www.gonum.org/v1/gonum?go-get=1'...
warning: TLS non-fatal error: Ressource temporairement indisponible. Réessayer.
warning: TLS non-fatal error: Ressource temporairement indisponible. Réessayer.
warning: TLS non-fatal error: Ressource temporairement indisponible. Réessayer.
guix import: warning: Failed to import package "gonum.org/v1/gonum".
reason: "https://www.gonum.org/v1/gonum?go-get=1" could not be fetched: HTTP error 404 ("Not Found").
This package and its dependencies won't be imported.
following redirection to `https://proxy.golang.org/@v/list'...
guix import: warning: Failed to import package "//".
reason: "https://proxy.golang.org/@v/list" could not be fetched: HTTP error 410 ("Gone").
This package and its dependencies won't be imported.
guix import: warning: Failed to import package "cloud.google.com/go/storage".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v1.15.0' not found" class: 4>).
following redirection to `https://pkg.go.dev/github.com/chzyer/logex'...
guix import: warning: Failed to import package "google.golang.org/grpc/cmd/protoc-gen-go-grpc".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v1.1.0' not found" class: 4>).
following redirection to `https://pkg.go.dev/github.com/gobuffalo/github_flavored_markdown'...
guix import: warning: Failed to import package "github.com/aws/aws-sdk-go-v2/service/s3".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v1.11.0' not found" class: 4>).
guix import: warning: Failed to import package "github.com/apache/arrow/go/arrow".
reason: "https://pkg.go.dev/github.com/apache/arrow" could not be fetched: HTTP error 404 ("Not Found").
This package and its dependencies won't be imported.
guix import: warning: Failed to import package "github.com/Azure/go-autorest/autorest/adal".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v0.9.14' not found" class: 4>).
guix import: warning: Failed to import package "cloud.google.com/go/storage".
reason: (#<<git-error> code: -3 message: "reference 'refs/tags/v1.15.0' not found" class: 4>).
guix import: warning: Failed to import package "github.com/containerd/containerd".
reason: ("vector-ref" "Wrong type argument in position 1 (expecting vector): ~S" (#f) (#f)).
(define-public go-github-com-cloudflare-golz4
  (package

[...]
--8<---------------cut here---------------end--------------->8---

WDYT?

All the best,
simon